Jump to content

Synology Setup


Luke
 Share

Recommended Posts

Hello,

ist there any way to install Emby on the Nas DS216Play with the monaco architecture?

Best regards,

kampfaffe.

Link to comment
Share on other sites

  • 2 weeks later...

When trying to update to the newest server via winscp i get the message access denied, what are I'm doing wrong? I have stopped the emby server before trying to update

Link to comment
Share on other sites

When trying to update to the newest server via winscp i get the message access denied, what are I'm doing wrong? I have stopped the emby server before trying to update

 

Morning @@jespermart

 

I've added you to the x86_64/i686 test programme, as per your request on the other thread.

 

That is probably the best way forward from here.

 

If you wish to update manually, take a look at this post: http://emby.media/community/index.php?/topic/34516-updating-emby-on-dsm6-systems/?p=326672

 

- James

Link to comment
Share on other sites

Hey guys I am new to emby and would like to get a better understanding on how to install this on my current system. I am running on a DS212 on DSM 6. I am not able to find the appropriate mediainfo file in packages center. I am also not able to determine the correct ffmpeg and Emby file based on my CPU/architecture which is 88f6282(armv5) . Does the appropriate file exist for my nas or do I need to downgrade my DSM in order for it to work. Can anyone help me out?

Link to comment
Share on other sites

Thanks for this, successfully installed it now without a hitch on an 1812.

 

My question relates to the beta stream - will the app update with the beta versions if I have beta chosen under automatic updates in the server settings ? 

If not, will there be a new guide created for updating with beta versions (which I have been doing on a daily basis lately prior to the app being released   :) ) ?

 

Thanks as always, this is a brilliant piece of software !

Edited by shad0h
Link to comment
Share on other sites

Hi James,

 

can you provide the link to the library migration script? cant seem to find it on the pages

 

My old version of emby wont startup now, and i want to migrate the library over to your emby install which works

 

Thanks

Link to comment
Share on other sites

Afternoon @@tixx

 

Just to clarify, in case it is misinterpreted - the 'new' Emby package is fully self-contained, so there is nothing in the install that could interfer with or prevent any existing installation of Emby running.

 

Of course, you cannot have both running at the same time, as they will both be trying to listen on the same network ports.

 

I've sent you a PM re. the migration utlility to transfer your configuration from an existing installation to the new installation; this hasn't been posted on the Wiki yet.

 

- James

Link to comment
Share on other sites

 

Installation Instructions

 

Instructions are available on our website:

 

http://emby.media/nas-server.html

 

Emby just informed me that a new beta version is available.  When this happened in the past, I would come to this thread to download the latest package.  When I did that today, I found that the first post has been changed to direct users to new NAS server installation instructions and that the previous instructions have been removed.  Unless I am missing something, the new installation instructions are only of use for users with Synology NAS's that have intel processors.  My NAS has a Marvell Armada XP processor.  The old instructions are still of use to me as they include links to packages that I need to get Emby running on my NAS.  Would it be possible to restore the previous instructions until such time as new installation packages are available for Synology NAS's that don't have intel processors?

 

Thanks.     

Edited by DarWun
Link to comment
Share on other sites

does this also work on my DS216play ?

 

Hello @@m-joy

 

The DS216play isn't currently supported, the initial release covered Intel x86-64 and i686 architectures. (see https://github.com/MediaBrowser/Wiki/wiki/Synology-:-Summary-of-Models-by-Processor)

 

Now we have completed that phase, we will start looking at the other architectures and prioritise them based on demand; I've made a note of your platform and request for support.

 

- James

Link to comment
Share on other sites

For those of us with non Intel X86-64 processors or not on DSM 6 yet, the url is: https://github.com/MediaBrowser/Emby/releases/latest

 

Evening

 

Just to clarify Intel x86-64 and i686 architectures are supported. (see https://github.com/MediaBrowser/Wiki/wiki/Synology-:-Summary-of-Models-by-Processor)

 

If your platform supports DSM6, I'm not aware of any specific reason not to upgrade, it's a good step forward by Synology and I would recommend it.

 

If you have an older platform that doesn't support DSM6 and you would like to run Emby Server, please post here so we can register your interest and prioritise accordingly.

 

- James

Link to comment
Share on other sites

Emby just informed me that a new beta version is available.  When this happened in the past, I would come to this thread to download the latest package.  When I did that today, I found that the first post has been changed to direct users to new NAS server installation instructions and that the previous instructions have been removed.  Unless I am missing something, the new installation instructions are only of use for users with Synology NAS's that have intel processors.  My NAS has a Marvell Armada XP processor.  The old instructions are still of use to me as they include links to packages that I need to get Emby running on my NAS.  Would it be possible to restore the previous instructions until such time as new installation packages are available for Synology NAS's that don't have intel processors?

 

Thanks.     

 

Evening @@DarWun

 

If you are running DSM6, with Emby Server already installed and running, the steps at the head of this post are still relevant and all that are needed to update the server software : http://emby.media/community/index.php?/topic/34516-updating-emby-on-dsm6-systems/

 

Best

- James

Link to comment
Share on other sites

For those of us with non Intel X86-64 processors or not on DSM 6 yet, the url is: https://github.com/MediaBrowser/Emby/releases/latest

 

Evening @@DarWun

 

If you are running DSM6, with Emby Server already installed and running, the steps at the head of this post are still relevant and all that are needed to update the server software : http://emby.media/community/index.php?/topic/34516-updating-emby-on-dsm6-systems/

 

Best

- James

 

Thanks for the links.  It would still be nice to have the previous instructions restored though.  They included links to all the other bits and pieces required to get emby up and running on a synology NAS.  I had an issue a few weeks ago that required me to reset my DS414.  I wouldn't have been able to get Emby reinstalled without them.

Edited by DarWun
Link to comment
Share on other sites

Thanks for the links.  It would still be nice to have the previous instructions restored though.  

 

Pre-installation

 

Package center-->Settings-->General       choose-Trust Level any publisher

Package center-->Settings-->Beta             choose-Yes, I want to see beta version!

Add http://packages.synocommunity.com/ and http://cytec.us/spk/ to Package center -->Package Source

 

Check the what CPU/architecture you have in your synology https://github.com/S...r-Synology-mode so you can use the right Package for your base install.(#Shell command uname -a)

 

Installation

  1. Install Mono from Package center --> Community Tab
  2. Install ImageMagick from Package center --> Community Tab
  3. Download and Install ffmpeg from here: http://cytec.us/syno/test-spk/ffmpeg/
  4. Download and Install emby from here: http://cytec.us/syno/test-spk/emby/

Updating

 

See this thread - http://emby.media/community/index.php?/topic/34516-updating-emby-on-dsm6-systems/

Edited by KRULL
Link to comment
Share on other sites

I have a good running server with the package that was provided before. Is there a possibility to update to the new package without reinstalling my server? 

Link to comment
Share on other sites

Yes, migrate from old to new, all details move across.

 

I'll leave it for James to PM you.

Well, for now I don't even see the official emby repo in my list of apps, allthough my model is supported

Link to comment
Share on other sites

Did you ad the new repo, and look under community?

Yes. Also refreshed my list of packages. No idea what I'm doing wrong. Server is up to date again, old winSCP method still working :)

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...